#ifndef _ASA_include_
#define _ASA_include_
const Real probeRadius=1.4;
Real isOverlap(vector<AtomStruct> &Atoms, Real x, Real y, Real z);
Real ASAOfAtomSharkeRupley(vector<AtomStruct> &Atoms, int index);
Real ASASharkeRupley(vector<AtomStruct> &Atoms);
void ASASharkeRupley(vector<AtomStruct> &Atoms, Vector &asas);
Real FindSAOverlap(AtomStruct &Atom1, AtomStruct &Atom2, Real dist);
Real ASAOfAtomLCPO(vector<AtomStruct> &Atoms, int index, Matrix &DistMatrix);
Real ASALCPO(vector<AtomStruct> &Atoms, Matrix &DistMatrix);
Real ASALCPO(vector<AtomStruct> &Atoms);
void ASALCPO(vector<AtomStruct> &Atoms, Matrix &DistMatrix, Vector &asas);
void calcPercentAccessibleByResidue(vector<AtomStruct> &Atoms, Vector &asas);
void calcPercentAccessibleByResidue(vector<AtomStruct> &Atoms);
void calcPercentAccessibleByResidueSharke(vector<AtomStruct> &Atoms);
#endif
