/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _AddBackbone_include_
#define _AddBackbone_include_
void addBackboneToHead(vector< vector<AtomStruct> > &Atoms, Array4D &cancbins);
void addBackboneToTail(vector< vector<AtomStruct> > &Atoms, Array4D &cancbins);
void addBackboneToResidue(vector< vector<AtomStruct> > &Atoms, int residue, Array4D &cancbins);
void addBackboneToMain(vector< vector<AtomStruct> > &Atoms, vector< Array3D > &cancbins);
void addOxygen(vector< vector<AtomStruct> > &Atoms);
void proteinToAtomMatrix(ProteinStruct &Protein, vector< vector<AtomStruct> > &Atoms);
void atomMatrixToProtein(vector< vector<AtomStruct> > &Atoms, ProteinStruct &Protein);
void addBackbone(ProteinStruct &Protein, vector< Array3D > &cancbins);
void readCancFile(string cancFile, Array4D &cancbins);
void addBackbone(ProteinStruct &Protein, string cancFile);
#endif
