/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
# include <unistd.h>
# include <iostream>
# include <algorithm>

using namespace std;

# include "TypeDef.h"
# include "StringUtils.h"
# include "LinkedList.h"
# include "IOUtils.h"

Real memoryUsage()
{
        pid_t pid=getpid();
        string mem, procFile;
        vector<string> lines;

        procFile="/proc/"+IntToStr(pid)+"/stat";
        readLines(procFile, lines, "procFile");
        mem=GetWord2(lines[0], 23);
        return StrToFloat(mem);
}

void printMemoryUsage()
{
        cout <<"Memory Usage= "<<memoryUsage()<<endl;
}
