#ifndef _PrintPdb_include_
#define _PrintPdb_include_
#include "Structures.h"
void printSymmetryOperations(vector<SymmetryOperationStruct> &symmetryOperations);
void printSymmetryOperations(string PdbFile, vector<SymmetryOperationStruct> &symmetryOperations);
void printCryst(string PdbFile, ProteinStruct &Protein);
void printScale(string PdbFile, Matrix &cartToFrac);
void printConnectivity(string pdbFile, vector<AtomStruct> &Atoms);
void printPdbLine(ofstream &pdb, bool HetAtom, int AtomNumber, string AtomName, string ResidueName, int ResidueNum, string ChainName, Real x, Real y, Real z, Real Occupancy, Real BFactor, string segID);
void printAnisou(ofstream &pdb, AtomStruct &Atom);
void printPdbLine(ofstream &pdb, AtomStruct &Atom);
void printAtomToFile(string PdbFile, AtomStruct &Atom);
void addAtomsToTrj(string PdbOutputFile, vector<AtomStruct> &Atoms);
void printPdb(string PdbFile, vector<AtomStruct> &Atoms);
void printPdb(string PdbFile, ProteinStruct &Protein);
void printPdb(string pdbFile, vector<ProteinStruct> &Proteins);
void printAtomInfo(AtomStruct Atom);
void printPdbToScreen(vector<AtomStruct> &Atoms);
#endif
