/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _electric_include_
#define _electric_include_
Real potential(Real x, Real y, Real z, AtomStruct &Atom);
Real potential(Real x, Real y, Real z, vector<AtomStruct> &Atoms);
Real columbPotential(Real q1, Real q2, Real r);
Real columbPotential(AtomStruct &Atom1, AtomStruct &Atom2);
Real calcElectrostaticFreeEnergyOfAtom(AtomStruct &Atom, vector<CubeStruct> &Cubes, Real CubeSize);
Real calcElectrostaticFreeEnergyOfAtom(AtomStruct &Atom, lattice &Cubes, Real CubeSize);
        template <class TCubes>
Real calcElectrostaticFreeEnergy(vector<AtomStruct> &Atoms, TCubes &Cubes, Real CubeSize);
Real calcElectrostaticFreeEnergy(vector<AtomStruct> &Atoms, string CubeFile, Real CubeSize);
#endif
